# simple-i3blocks
This is a simple collection of i3blocks-modules accompagnied by a config file with the aim to display only important information in favor of not spilling lots of numbers into the status bar. I.e. only the amount of left RAM is displayed as this is - in my point of view - the most important information we like to know most of the times. 

# Requirements
Install [i3 window manager](https://i3wm.org) alongside with [i3blocks](https://github.com/vivien/i3blocks) and `git`. The following shows the requirements for each module:
```
module      dependency
--------------------------
audio,mic   amixer
battery     none, searches in /sys/class/power_supply/BAT...
cpu         top
datetime    date
ip          curl
ram,swap    none, searches in /proc/meminfo
storage     df
backlight   none, searches in /sys/class/backlight, intel and ati/amd supported
```

# Install
- Clone this repo to `~/.config/i3blocks`. Remember to back up you existing configs and scripts inside that directory if you already created them.
```bash
git clone https://will.kein.hk/git/koksnuss/simple-i3blocks.git ~/.config/i3blocks
```
- Adjust `~/.config/i3blocks/config` to control i3 status bar output (see [Usage](#usage)). Finally reload your `i3` window manager.
- The default shortcut is `mod + SHIFT + r`, you should see a flickering.

# Usage 
Via the instance id you can choose:
- `instance=short` in every module provides even shorter output without units
- `instance=swap` in the module `ram` to show swap usage
- `instance=1` in the module `battery` to show the status of BAT1 of you have more than one battery attached to your device.


# Roadmap

## Modules
- [x] datetime
- [x] ram, swap
- [x] cpu
- [x] audio, mic
- [x] storage
- [x] ip
- [x] battery
- [x] backlight
- [ ] wifi/ethernet/bluetooth
- [ ] external storage 
- [ ] ethernet bandwith

## Click interactions
- [ ] datetime: left: show date, middle: show date and time, right: show time
- [ ] audio, mic: toggle mute
- [ ] external storage: mount it somewhere

## Signals
- [ ] audio, mic
- [ ] backlight

## Other
- [ ] nice icons as labels
